<template>
    <div>
        <TaskFrom v-bind:task="task" v-bind:users="users" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></TaskFrom>
    </div>
</template>

<script>
import TaskFrom from './Task.Form';
import { editProject } from '@/api/projects.service.js'
export default {
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        },
        sprint() {
            if (this.project && this.project.sprints) {
                return this.project.sprints[this.$route.params.sprintId];
            }
            return {};
        },
        userStory() {
            if (this.sprint && this.sprint.userStories) {
                return this.sprint.userStories[this.$route.params.userStoryId];
            }
            return new Array();
        },
        users() {
            return this.$store.getters.getAllDevelopers;
        },
        task() {
            if (this.userStory && this.userStory.tasks) {
                return this.userStory.tasks[this.$route.params.taskId];
            }
            return {};
        }
    },
    components: {
        TaskFrom
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            let id = this.project._id;
            editProject(id, this.project).then(() => {
                this.$store.dispatch('setProjectById', this.$route.params.id);
                this.$router.go(-1);
            });
        },
        remove() {

        }
    },
    created() {
        this.$store.dispatch('getAllUsers');
    }
}
</script>

<style>

</style>
